Package com.xebialabs.xlrelease.api.v1.forms

## Class CreateRelease

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.CreateRelease

- Direct Known Subclasses:
    `StartRelease`

      public class CreateRelease
      extends java.lang.Object

  All the parameters needed to create a release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreateRelease()` |
    `CreateRelease​(java.lang.String title, java.lang.String folderId, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `CreateRelease​(java.lang.String title, java.lang.String folderId, java.util.Map<java.lang.String,​java.lang.String> variables, java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAutoStart()` |
    `java.lang.String` | `getFolderId()` |
    `java.lang.String` | `getReleaseOwner()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getReleasePasswordVariables()` | Deprecated. Please use `getVariables()`
    `java.lang.String` | `getReleaseTitle()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getReleaseVariables()` | Deprecated. Please use `getVariables()`
    `java.util.Date` | `getScheduledStartDate()` |
    `java.lang.String` | `getStartedFromTaskId()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getVariables()` |
    `boolean` | `hasScheduledStartDate()` |
    `void` | `setAutoStart​(boolean autoStart)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setReleaseOwner​(java.lang.String releaseOwner)` |
    `void` | `setReleasePasswordVariables​(java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)` | Deprecated. Please use `setVariables(Map)`
    `void` | `setReleaseTitle​(java.lang.String releaseTitle)` |
    `void` | `setReleaseVariables​(java.util.Map<java.lang.String,​java.lang.String> variables)` | Deprecated. Please use `setVariables(Map)`
    `void` | `setScheduledStartDate​(java.util.Date scheduledStartDate)` |
    `void` | `setStartedFromTaskId​(java.lang.String startedFromTaskId)` |
    `void` | `setVariables​(java.util.Map<java.lang.String,​java.lang.Object> variables)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateRelease

          public CreateRelease()

    - #### CreateRelease

          public CreateRelease​(java.lang.String title,
                               java.lang.String folderId,
                               java.util.Map<java.lang.String,​java.lang.String> variables,
                               java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)

    - #### CreateRelease

          public CreateRelease​(java.lang.String title,
                               java.lang.String folderId,
                               java.util.Map<java.lang.String,​java.lang.Object> variables)

  - ### Method Detail

    - #### getReleaseTitle

          public java.lang.String getReleaseTitle()

    - #### setReleaseTitle

          public void setReleaseTitle​(java.lang.String releaseTitle)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getReleaseVariables

          @Deprecated
          public java.util.Map<java.lang.String,​java.lang.String> getReleaseVariables()

      Deprecated.
      Please use `getVariables()`

    - #### setReleaseVariables

          @Deprecated
          public void setReleaseVariables​(java.util.Map<java.lang.String,​java.lang.String> variables)

      Deprecated.
      Please use `setVariables(Map)`
      Parameters:
        `variables` - A map containing the release's variables and values: keys are variable names (eg: ${serverUrl}), values are the variable values (eg: "http://url.to.server").

    - #### getReleasePasswordVariables

          @Deprecated
          public java.util.Map<java.lang.String,​java.lang.String> getReleasePasswordVariables()

      Deprecated.
      Please use `getVariables()`

    - #### setReleasePasswordVariables

          @Deprecated
          public void setReleasePasswordVariables​(java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)

      Deprecated.
      Please use `setVariables(Map)`
      Parameters:
        `releasePasswordVariables` - A map containing the release's password variables and values: keys are variable names (eg: ${serverPassword}), values are the password (eg: "secret").

    - #### getScheduledStartDate

          public java.util.Date getScheduledStartDate()

    - #### setScheduledStartDate

          public void setScheduledStartDate​(java.util.Date scheduledStartDate)

    - #### getAutoStart

          public boolean getAutoStart()

    - #### setAutoStart

          public void setAutoStart​(boolean autoStart)

    - #### hasScheduledStartDate

          public boolean hasScheduledStartDate()

    - #### getVariables

          public java.util.Map<java.lang.String,​java.lang.Object> getVariables()

    - #### setVariables

          public void setVariables​(java.util.Map<java.lang.String,​java.lang.Object> variables)

      Parameters:
        `variables` - A map containing the release's variables and values: keys are variable names (eg: serverPassword), values are the values of the variable (eg: "secret").

    - #### getStartedFromTaskId

          public java.lang.String getStartedFromTaskId()

    - #### setStartedFromTaskId

          public void setStartedFromTaskId​(java.lang.String startedFromTaskId)

    - #### getReleaseOwner

          public java.lang.String getReleaseOwner()

    - #### setReleaseOwner

          public void setReleaseOwner​(java.lang.String releaseOwner)